/*
Theme Name: Divi Child
Template: Divi
Description: Divi Child Theme
Author: Info Conception
Author URI: https://infoconception.fr/
*/

/* Align btn */
.inline_btn .et_pb_button_module_wrapper{
  display: inline-block;
  margin-right: 20px;
}

/* Sticky img */
.sticky_img .et_pb_image_wrap{
  margin-top: -200px;
}

.et_builder_inner_content{
  overflow-x: clip;
}


/* Demande de devis */

.quote_request_form select, .quote_request_form input, .quote_request_form textarea, .breakdown_service_form select, .breakdown_service_form input, .breakdown_service_form textarea{
  width: 100%;
}
.quote_request_form, .breakdown_service_form{
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  grid-gap: 10px;
}
.quote_request_form .cf_line:nth-child(1), .quote_request_form .cf_line:nth-child(6), .quote_request_form .cf_line:nth-child(7), .quote_request_form .cf_line:nth-child(10), .quote_request_form .cf_line:nth-child(11), .quote_request_form .cf_line:nth-child(12), .quote_request_form .cf_line:nth-child(13), .quote_request_form .cf_line:nth-child(16), .quote_request_form .cf_line:nth-child(17){
  grid-column: 1 / 3;
}
.breakdown_service_form .cf_line:nth-child(1), .breakdown_service_form .cf_line:nth-child(2), .breakdown_service_form .cf_line:nth-child(7), .breakdown_service_form .cf_line:nth-child(8), .breakdown_service_form .cf_line:nth-child(11), .breakdown_service_form .cf_line:nth-child(12), .breakdown_service_form .cf_line:nth-child(13){
  grid-column: 1 / 3;
}
.quote_request_form .cf_line input, .breakdown_service_form .cf_line input{
  border: none;
  height: 100%;
}
.quote_request_form select, .quote_request_form input, .quote_request_form textarea, .breakdown_service_form select, .breakdown_service_form input, .breakdown_service_form textarea{
  padding: 10px;
  border-radius: 5px;
  color: #001c44;
  font-weight: 500;
  font-size: 14px;
}
.quote_request_form .cf_line input[type="checkbox"], .breakdown_service_form .cf_line input[type="checkbox"]{
  width: auto;
}
.quote_request_form .wpcf7-list-item, .breakdown_service_form .wpcf7-list-item{
  margin: 0;
  margin-right: 10px;
  color: white;
}
input.text, input.title, input[type=email], input[type=password], input[type=tel], input[type=text], select, textarea, input[type=file]{
  background-color: white;
  color: #001c44 !important;
  font-weight: 500;
  font-size: 14px;
}
::placeholder {
  color: #001c44 !important;
  font-size: 14px;
}
button[type="submit"]{
  color: #00778d !important;
  border-color: white;
  border-radius: 5px;
  letter-spacing: 2px;
  font-size: 16px;
  font-weight: 700 !important;
  text-transform: uppercase !important;
  background-color: white;
  border: 2px solid white;
  padding: 6px 25px;
  cursor: pointer;
  transition: linear 200ms;
  margin-top: 30px;
}
button[type="submit"]:hover{
  transform: scale(1.05);
}
.select2-container .select2-selection--single{
  height: 40px !important;
}
.select2-container--default .select2-selection--single{
  border-radius: 5px !important;
}
.select2-container--default .select2-selection--single .select2-selection__rendered{
  height: 100%;
  display: flex;
  align-items: center;
}
.select2-container .select2-selection--single .select2-selection__rendered{
  padding: 10px !important;
  border-radius: 5px;
  color: #001c44;
  font-weight: 500;
  font-size: 14px;
}

.wpcf7-form .wpcf7-response-output {
  color: #fff;
  border: unset;
  background: red;
}

.quote_request_form label, .breakdown_service_form label{
  color: white;
}

.wpcf7-not-valid-tip{
  color: red !important;
}

.wpcf7-not-valid {
    border: 2px solid red !important;
}

.wpcf7-checkbox.wpcf7-not-valid{
  display: block;
}

.wpcf7-form select.wpcf7-not-valid + .select2 .select2-selection {
  border: 2px solid red !important;
  border-radius: 4px;
}

.wpcf7-validates-as-required + label::after {
  content: " *";
  color: red;
}

.breadcrumbs span, .breadcrumbs a{
  color: white;
}

.wpcf7 textarea::placeholder {
  color: red !important;
  opacity: 1;  
}


@media only screen and (max-width: 768px) {
  .quote_request_form, .breakdown_service_form{
    grid-template-columns: 1fr;
  }
  .quote_request_form .cf_line:nth-child(1), .quote_request_form .cf_line:nth-child(6), .quote_request_form .cf_line:nth-child(7), .quote_request_form .cf_line:nth-child(10), .quote_request_form .cf_line:nth-child(11), .quote_request_form .cf_line:nth-child(12), .quote_request_form .cf_line:nth-child(13), .quote_request_form .cf_line:nth-child(16), .quote_request_form .cf_line:nth-child(17){
    grid-column: 1;
  }
  .breakdown_service_form .cf_line:nth-child(1), .breakdown_service_form .cf_line:nth-child(2), .breakdown_service_form .cf_line:nth-child(7), .breakdown_service_form .cf_line:nth-child(8), .breakdown_service_form .cf_line:nth-child(11), .breakdown_service_form .cf_line:nth-child(12), .breakdown_service_form .cf_line:nth-child(13){
    grid-column: 1;
  }


  .cf_line:last-child {
    display: flex;
    justify-content: center;
  }
  
  .inline_btn .et_pb_button_module_wrapper {
    display: block;
    margin-right: 0;
  }
}